# Class ContractNotFoundError

This error indicates that the contract you are attempting to create an encoder for does not appear in the project info.

#### Hierarchy

- Error
  - ContractNotFoundError

- Defined in encoder/lib/errors.ts:129

#####
Index

### Constructors

constructor

### Properties

address
bytecode
contractName
deployedBytecode

## Constructors

### constructor

- new ContractNotFoundError(contractName, bytecode, deployedBytecode, address?): ContractNotFoundError

- #### Parameters

  - ##### contractName: string

  - ##### bytecode: string

  - ##### deployedBytecode: string

  - ##### `Optional` address: string

  #### Returns ContractNotFoundError

  Overrides Error.constructor

  - Defined in encoder/lib/errors.ts:134

## Properties

### address

address: string

- Defined in encoder/lib/errors.ts:133

### bytecode

bytecode: string

- Defined in encoder/lib/errors.ts:131

### contractName

contractName: string

- Defined in encoder/lib/errors.ts:130

### deployedBytecode

deployedBytecode: string

- Defined in encoder/lib/errors.ts:132

Generated using TypeDoc